summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNick Daly <myownlittlworld@hotmail.com>2009-07-02 20:24:27 -0500
committerNick Daly <myownlittlworld@hotmail.com>2009-07-02 20:24:27 -0500
commitf4b77bbe86d5e97e7960d5132d73c15daaffeabf (patch)
treead4f3f9606cbafa0f79806c828be99bf666d1dcb
parentd370a8e2a2d58d20da284683bd9262e6ca696746 (diff)
parentfeb2cd603ba1ae6e7dc04e17463c87777f882363 (diff)
downloadgemrb-gameinstallers-f4b77bbe86d5e97e7960d5132d73c15daaffeabf.tar.bz2
gemrb-gameinstallers-f4b77bbe86d5e97e7960d5132d73c15daaffeabf.zip
Merge branch 'master' of http://git.njw.me.uk/gemrb-gameinstallers
Conflicts: auto-installer.sh
-rwxr-xr-xauto-installer.sh3
-rwxr-xr-xbg1/install-1cd-totsc-uk.sh2
-rwxr-xr-xbg1/install-3cd-minimal.sh2
-rwxr-xr-xbg1/install-5cd-minimal.sh6
-rwxr-xr-xbg1/install-patch-intl.sh2
-rwxr-xr-xbg1/install-patch-totsc-intl.sh2
-rwxr-xr-xbg1/install-patch-totsc-uk.sh2
-rwxr-xr-xbg1/install-patch-totsc-us.sh2
-rwxr-xr-xbg1/install-patch-us.sh2
-rwxr-xr-xbg2/install-tob-1cd-us-minimal.sh2
-rwxr-xr-xiwd/install-2cd-uk-minimal.sh2
-rwxr-xr-xiwd2/install-2cd-us-extra.sh31
-rwxr-xr-xiwd2/install-2cd-us-minimal.sh40
-rwxr-xr-xiwd2/install-patch-us.sh47
-rwxr-xr-xpst/install-2cd-extra.sh4
-rwxr-xr-xpst/install-2cd-minimal.sh4
-rwxr-xr-xpst/install-4cd-minimal.sh2
-rwxr-xr-xpst/install-patch-official.sh4
18 files changed, 138 insertions, 21 deletions
diff --git a/auto-installer.sh b/auto-installer.sh
index 973fa84..3654263 100755
--- a/auto-installer.sh
+++ b/auto-installer.sh
@@ -34,9 +34,8 @@ source "$scriptdir/includes/cd-list.sh"
parseargs "$@"
echo "Checking CD version"
-export CDMD5=$(md5sum "${CDMOUNT}/data1.cab"|awk '{print $1}')
-get_game
+export CDMD5=$(md5sum "${CDMOUNT}/data1.cab"|awk '{print $1}')
[ -z "$TARGETDIR" ] && [ -n "$SHORTGAMENAME" ] && export TARGETDIR="$PWD/$SHORTGAMENAME"
[ -z "$TARGETDIR" ] && diequietly
diff --git a/bg1/install-1cd-totsc-uk.sh b/bg1/install-1cd-totsc-uk.sh
index 161e14d..49270fd 100755
--- a/bg1/install-1cd-totsc-uk.sh
+++ b/bg1/install-1cd-totsc-uk.sh
@@ -28,7 +28,7 @@ getcd 1 $BG1_TOTSC_1CD_UK_MD5 data1.cab
mkdir -p "$TARGETDIR" || die
-unshield -L x "${CDMOUNT}/data1.cab" -d "$TARGETDIR" || die
+unshield -d "$TARGETDIR" -L x "${CDMOUNT}/data1.cab" || die
cp "${CDMOUNT}/dialog.tlk" "$TARGETDIR" || die
diff --git a/bg1/install-3cd-minimal.sh b/bg1/install-3cd-minimal.sh
index b9e3fef..24f9dd8 100755
--- a/bg1/install-3cd-minimal.sh
+++ b/bg1/install-3cd-minimal.sh
@@ -30,7 +30,7 @@ mkdir -p "$TARGETDIR" || die
cp "${CDMOUNT}/dialog.tlk" "$TARGETDIR" || die
-unshield -L x "${CDMOUNT}/data1.cab" -d "$TARGETDIR" || die
+unshield -d "$TARGETDIR" -L x "${CDMOUNT}/data1.cab" || die
move_and_remove "${TARGETDIR}/minimumdata" "${TARGETDIR}"
move_and_remove "${TARGETDIR}/english" "${TARGETDIR}"
diff --git a/bg1/install-5cd-minimal.sh b/bg1/install-5cd-minimal.sh
index 6351c13..ad8c681 100755
--- a/bg1/install-5cd-minimal.sh
+++ b/bg1/install-5cd-minimal.sh
@@ -28,9 +28,9 @@ getcd 1 $BG1_5CD_INTL_MD5 data1.cab
mkdir -p "$TARGETDIR" || die
-cp "${CDMOUNT}/dialog.tlk" "$TARGETDIR" || die
+copylower "${CDMOUNT}/dialog.tlk" "$TARGETDIR" || die
-unshield -L x "${CDMOUNT}/data1.cab" -d "$TARGETDIR" || die
+unshield -d "$TARGETDIR" -L x "${CDMOUNT}/data1.cab" || die
move_and_remove "${TARGETDIR}/minimumdata" "$TARGETDIR"
move_and_remove "${TARGETDIR}/english" "$TARGETDIR"
@@ -40,6 +40,6 @@ rm -r "${TARGETDIR}/recommended_music" "${TARGETDIR}/english_sounds"
mkdir -p "${TARGETDIR}/movies"
-cp "${CDMOUNT}/baldur.ico" "$TARGETDIR" || die
+copylower "${CDMOUNT}/baldur.ico" "$TARGETDIR" || die
teardown "$TARGETDIR"
diff --git a/bg1/install-patch-intl.sh b/bg1/install-patch-intl.sh
index 16211d4..745ee38 100755
--- a/bg1/install-patch-intl.sh
+++ b/bg1/install-patch-intl.sh
@@ -36,7 +36,7 @@ setuptmp
getpatch $patch_url
unzip "${TMPDIR}/${patch_name}" -d "${TMPDIR}" || diesoftly
-unshield -g "$LANGUAGE" -L x "${TMPDIR}/data1.cab" -d "$TMPDIR" || diesoftly
+unshield -g "$LANGUAGE" -d "$TMPDIR" -L x "${TMPDIR}/data1.cab" || diesoftly
LANGUAGE="$(echo $LANGUAGE|tr A-Z a-z|tr ' ' _)" # alter formatting
cp -R "${TMPDIR}/${LANGUAGE}/"* "$TARGETDIR" || diesoftly
diff --git a/bg1/install-patch-totsc-intl.sh b/bg1/install-patch-totsc-intl.sh
index ef1beb1..337aa1d 100755
--- a/bg1/install-patch-totsc-intl.sh
+++ b/bg1/install-patch-totsc-intl.sh
@@ -36,7 +36,7 @@ setuptmp
getpatch $patch_url
cabextract -L "${TMPDIR}/${patch_name}" -d "$TMPDIR" || diesoftly
-unshield -L x "${TMPDIR}/data1.cab" -d "$TMPDIR" || diesoftly
+unshield -d "$TMPDIR" -L x "${TMPDIR}/data1.cab" || diesoftly
cp -R "${TMPDIR}/minimumdata/"* "$TARGETDIR" || diesoftly
diff --git a/bg1/install-patch-totsc-uk.sh b/bg1/install-patch-totsc-uk.sh
index 3b7b9f1..4a7727d 100755
--- a/bg1/install-patch-totsc-uk.sh
+++ b/bg1/install-patch-totsc-uk.sh
@@ -36,7 +36,7 @@ setuptmp
getpatch $patch_url
cabextract -L "${TMPDIR}/${patch_name}" -d "$TMPDIR" || diesoftly
-unshield -L x "${TMPDIR}/data1.cab" -d "$TMPDIR" || diesoftly
+unshield -d "$TMPDIR" -L x "${TMPDIR}/data1.cab" || diesoftly
cp -R "${TMPDIR}/minimumdata/"* "$TARGETDIR" || diesoftly
diff --git a/bg1/install-patch-totsc-us.sh b/bg1/install-patch-totsc-us.sh
index 56b1028..f01e4ec 100755
--- a/bg1/install-patch-totsc-us.sh
+++ b/bg1/install-patch-totsc-us.sh
@@ -36,7 +36,7 @@ setuptmp
getpatch $patch_url
cabextract -L "${TMPDIR}/${patch_name}" -d "$TMPDIR" || diesoftly
-unshield -L x "${TMPDIR}/data1.cab" -d "$TMPDIR" || diesoftly
+unshield -d "$TMPDIR" -L x "${TMPDIR}/data1.cab" || diesoftly
cp -R "${TMPDIR}/minimumdata/"* "$TARGETDIR" || diesoftly
diff --git a/bg1/install-patch-us.sh b/bg1/install-patch-us.sh
index d1dd7c1..5ed2d8e 100755
--- a/bg1/install-patch-us.sh
+++ b/bg1/install-patch-us.sh
@@ -36,7 +36,7 @@ setuptmp
getpatch $patch_url
cabextract -L "${TMPDIR}/${patch_name}" -d "$TMPDIR" || diesoftly
-unshield -L x "${TMPDIR}/data1.cab" -d "$TMPDIR" || diesoftly
+unshield -d "$TMPDIR" -L x "${TMPDIR}/data1.cab" || diesoftly
cp -R "${TMPDIR}/english/"* "$TARGETDIR" || diesoftly
diff --git a/bg2/install-tob-1cd-us-minimal.sh b/bg2/install-tob-1cd-us-minimal.sh
index 5ec0f16..67aa795 100755
--- a/bg2/install-tob-1cd-us-minimal.sh
+++ b/bg2/install-tob-1cd-us-minimal.sh
@@ -37,7 +37,7 @@ then
# TODO ask user to run the appropriate preinstaller.
fi
-unshield -L x "${CDMOUNT}/data1.cab" -d "$TARGETDIR" || die
+unshield -d "$TARGETDIR" -L x "${CDMOUNT}/data1.cab" || die
rm -r "${TARGETDIR}/_"* # remove all the the fake directories.
diff --git a/iwd/install-2cd-uk-minimal.sh b/iwd/install-2cd-uk-minimal.sh
index eac533e..471a14d 100755
--- a/iwd/install-2cd-uk-minimal.sh
+++ b/iwd/install-2cd-uk-minimal.sh
@@ -28,7 +28,7 @@ getcd 1 $IWD_2CD_UK_MD5 data1.cab
mkdir -p "$TARGETDIR" || die
-unshield -L x "${CDMOUNT}/data1.cab" -d "$TARGETDIR" || die
+unshield -d "$TARGETDIR" -L x "${CDMOUNT}/data1.cab" || die
move_and_remove "${TARGETDIR}/minimum_compressed/" "$TARGETDIR"
move_and_remove "${TARGETDIR}/recommended_compressed/data/" "${TARGETDIR}/data"
diff --git a/iwd2/install-2cd-us-extra.sh b/iwd2/install-2cd-us-extra.sh
new file mode 100755
index 0000000..d94bd7a
--- /dev/null
+++ b/iwd2/install-2cd-us-extra.sh
@@ -0,0 +1,31 @@
+#!/bin/bash
+# Copyright 2009 Tasos Latsas
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+#
+# Icewind Dale 2 (2CD US version) extra
+
+scriptdir="$(dirname $0)"/..
+source "${scriptdir}/includes/generic-includes.sh"
+source "${scriptdir}/includes/cd-includes.sh"
+
+parseargs "$@"
+
+CD2="9756ace5dd78e5b45b21772c6bee7fed"
+
+getcd 2 $CD2 data3.cab
+
+copylower "${CDMOUNT}/CD2/Data/" "${TARGETDIR}/data" || die
+
+setperms "$TARGETDIR"
diff --git a/iwd2/install-2cd-us-minimal.sh b/iwd2/install-2cd-us-minimal.sh
new file mode 100755
index 0000000..5af6459
--- /dev/null
+++ b/iwd2/install-2cd-us-minimal.sh
@@ -0,0 +1,40 @@
+#!/bin/bash
+# Copyright 2009 Tasos Latsas
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+#
+# Icewind Dale 2 (2CD US version) minimal
+
+scriptdir="$(dirname $0)"/..
+source "${scriptdir}/includes/generic-includes.sh"
+source "${scriptdir}/includes/cd-includes.sh"
+
+parseargs "$@"
+
+checkforbin unshield
+
+getcd 1 $IWD2_2CD_US_MD5 data1.cab
+
+mkdir -p "$TARGETDIR" || die
+
+unshield -d "$TARGETDIR" -L x "${CDMOUNT}/data1.cab" || die
+
+move_and_remove "${TARGETDIR}/minimum_compressed_-_us_english/" "$TARGETDIR" || die
+move_and_remove "${TARGETDIR}/minimum_compressed_-_language_independent/" "$TARGETDIR" || die
+
+copylower "${CDMOUNT}/Data/" "${TARGETDIR}/data" || die
+copylower "${CDMOUNT}/Icewind2.ico" "$TARGETDIR" || die
+
+rm -r "${TARGETDIR}/"_*
+setperms "$TARGETDIR"
diff --git a/iwd2/install-patch-us.sh b/iwd2/install-patch-us.sh
new file mode 100755
index 0000000..2528e44
--- /dev/null
+++ b/iwd2/install-patch-us.sh
@@ -0,0 +1,47 @@
+#!/bin/bash
+# Copyright 2009 Tasos Latsas
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+#
+# Icewind Dale 2 US version patch v2.01
+#
+# info : http://www.planetbaldursgate.com/iwd2/media/files/
+# size : 4.95 MB
+
+patch_url="http://www.sorcerers.net/Games2/IWD2/IWD2Patch201.exe"
+patch_name="$(basename $patch_url)"
+
+scriptdir="$(dirname $0)"/..
+source "${scriptdir}/includes/generic-includes.sh"
+source "${scriptdir}/includes/patch-includes.sh"
+
+parseargs "$@"
+
+checkforbin cabextract wget unshield
+
+setuptmp
+
+getpatch $patch_url
+
+cabextract -L "${TMPDIR}/${patch_name}" -d "$TMPDIR" || diesoftly
+unshield -d "$TMPDIR" -L x "${TMPDIR}/disk1/data1.cab" || diesoftly
+
+cp -R "${TMPDIR}/minimum_compressed_-_language_independent/override/"* "${TARGETDIR}"/override || diesoftly
+cp -R "${TMPDIR}/minimum_compressed_-_language_independent/scripts/"* "${TARGETDIR}"/scripts || diesoftly
+
+cp -R "${TMPDIR}/minimum_compressed_-_us_english/characters/"* "${TARGETDIR}/characters" || diesoftly
+cp -f "${TMPDIR}/minimum_compressed_-_us_english/dialog.tlk" "$TARGETDIR" || diesoftly
+
+cleanuptmp
+setperms "$TARGETDIR"
diff --git a/pst/install-2cd-extra.sh b/pst/install-2cd-extra.sh
index 75ea9b9..c166cfe 100755
--- a/pst/install-2cd-extra.sh
+++ b/pst/install-2cd-extra.sh
@@ -28,8 +28,8 @@ CD2="610d9f6354be741b09fc25b5e9645328"
getcd 1 "$PST_2CD_MD5" data1.cab
-unshield -g OtherData -L x "${CDMOUNT}/data1.cab" -d "$TARGETDIR" || die
-unshield -g OtherData -L x "${CDMOUNT}/data2.cab" -d "$TARGETDIR" || die
+unshield -d "$TARGETDIR" -g OtherData -L x "${CDMOUNT}/data1.cab" || die
+unshield -d "$TARGETDIR" -g OtherData -L x "${CDMOUNT}/data2.cab" || die
mv "${TARGETDIR}/otherdata/"* "$TARGETDIR" || die
rmdir "${TARGETDIR}/otherdata" || die
diff --git a/pst/install-2cd-minimal.sh b/pst/install-2cd-minimal.sh
index 8f63edb..7f8fd18 100755
--- a/pst/install-2cd-minimal.sh
+++ b/pst/install-2cd-minimal.sh
@@ -28,8 +28,8 @@ getcd 1 $PST_2CD_MD5 data1.cab
mkdir -p "$TARGETDIR" || die
-unshield -g MinimumData -L x "${CDMOUNT}/data1.cab" -d "$TARGETDIR" || die
-unshield -g MinimumData -L x "${CDMOUNT}/data2.cab" -d "$TARGETDIR" || die
+unshield -d "$TARGETDIR" -g MinimumData -L x "${CDMOUNT}/data1.cab" || die
+unshield -d "$TARGETDIR" -g MinimumData -L x "${CDMOUNT}/data2.cab" || die
cp "${CDMOUNT}/Manual/Torment.pdf" "${TARGETDIR}/manual.pdf" || die
cp "${CDMOUNT}/Torment.ico" "${TARGETDIR}/torment.ico" || die
diff --git a/pst/install-4cd-minimal.sh b/pst/install-4cd-minimal.sh
index c8c1991..46ec381 100755
--- a/pst/install-4cd-minimal.sh
+++ b/pst/install-4cd-minimal.sh
@@ -28,7 +28,7 @@ getcd 1 $PST_4CD_MD5 data1.cab
mkdir -p "$TARGETDIR" || die
-unshield -L x "${CDMOUNT}/data1.cab" -d "$TARGETDIR" || die
+unshield -d "$TARGETDIR" -L x "${CDMOUNT}/data1.cab" || die
move_and_remove "${TARGETDIR}/program_executable_files/" "$TARGETDIR"
diff --git a/pst/install-patch-official.sh b/pst/install-patch-official.sh
index fc97f79..a924f33 100755
--- a/pst/install-patch-official.sh
+++ b/pst/install-patch-official.sh
@@ -36,8 +36,8 @@ setuptmp
getpatch $patch_url
cabextract -L "${TMPDIR}/${patch_name}" -d "$TMPDIR" || diesoftly
-unshield -L x "${TMPDIR}/data1.cab" -d "$TMPDIR" || diesoftly
+unshield -d "$TMPDIR" -L x "${TMPDIR}/data1.cab" || diesoftly
-cp -R "${TMPDIR}/program_executable_files/"* "$TARGETDIR" || diesoftly
+copylower "${TMPDIR}/program_executable_files/" "$TARGETDIR" || diesoftly
teardown "$TARGETDIR"